Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.AuditSpaceSize Class Reference

Structure of audit space, the unit is byte type.
More...

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | AuditSpaceSize ()
| Constructor.

## Static Public Attributes
| acroforms = _fsdk.AuditSpaceSize_acroforms
| Total size of AcroForm data in bytes. More...
| bookmarks = _fsdk.AuditSpaceSize_bookmarks
| Total size of bookmarks data in bytes. More...
| color_space = _fsdk.AuditSpaceSize_color_space
| Total size of color space definitions in bytes. More...
| comments_and_3d_contents = _fsdk.AuditSpaceSize_comments_and_3d_contents
| Total size of comments and 3D contents in bytes. More...
| content_streams = _fsdk.AuditSpaceSize_content_streams
| Total size of all page content streams in bytes. More...
| cross_ref_tables = _fsdk.AuditSpaceSize_cross_ref_tables
| Total size of the cross-reference table in bytes. More...
| embed_files = _fsdk.AuditSpaceSize_embed_files
| Total size of embedded file streams in bytes. More...
| extend_graphics_states = _fsdk.AuditSpaceSize_extend_graphics_states
| Total size of extended graphics states in bytes. More...
| fonts = _fsdk.AuditSpaceSize_fonts
| Total size of embedded fonts in bytes. More...
| images = _fsdk.AuditSpaceSize_images
| Total size of embedded images in bytes. More...
| link_annots = _fsdk.AuditSpaceSize_link_annots
| Total size of link annotations in bytes. More...
| named_destnations = _fsdk.AuditSpaceSize_named_destnations
| Total size of named destinations in bytes. More...
| pattern_infos = _fsdk.AuditSpaceSize_pattern_infos
| Total size of pattern objects in bytes. More...
| piece_infos = _fsdk.AuditSpaceSize_piece_infos
| Total size of piece information in bytes. More...
| shading_pattern_infos = _fsdk.AuditSpaceSize_shading_pattern_infos
| Total size of shading pattern information in bytes. More...
| structure_infos = _fsdk.AuditSpaceSize_structure_infos
| Total size of structural information in bytes. More...
| thumbs = _fsdk.AuditSpaceSize_thumbs
| Total size of page thumbnails in bytes. More...
| web_infos = _fsdk.AuditSpaceSize_web_infos
| Total size of web-related metadata in bytes. More...
| x_object_forms = _fsdk.AuditSpaceSize_x_object_forms
| Total size of XObject Forms in bytes. More...

## Detailed Description

Structure of audit space, the unit is byte type.

## Member Data Documentation

## ◆ acroforms

FoxitPDFSDKPython2.AuditSpaceSize.acroforms = _fsdk.AuditSpaceSize_acroforms
| static

Total size of AcroForm data in bytes.

AcroForms define interactive form fields in PDF documents.

## ◆ bookmarks

FoxitPDFSDKPython2.AuditSpaceSize.bookmarks = _fsdk.AuditSpaceSize_bookmarks
| static

Total size of bookmarks data in bytes.

Bookmarks (or outlines) help navigate a PDF document's content hierarchy.

## ◆ color_space

FoxitPDFSDKPython2.AuditSpaceSize.color_space = _fsdk.AuditSpaceSize_color_space
| static

Total size of color space definitions in bytes.

Includes all color space objects like ICC profiles, CalRGB, DeviceN, etc.

## ◆ comments_and_3d_contents

FoxitPDFSDKPython2.AuditSpaceSize.comments_and_3d_contents = _fsdk.AuditSpaceSize_comments_and_3d_contents
| static

Total size of comments and 3D contents in bytes.

Includes PDF comments and embedded 3D object data, such as U3D or PRC models.

## ◆ content_streams

FoxitPDFSDKPython2.AuditSpaceSize.content_streams = _fsdk.AuditSpaceSize_content_streams
| static

Total size of all page content streams in bytes.

Content streams include the actual PDF instructions for rendering page content.

## ◆ cross_ref_tables

FoxitPDFSDKPython2.AuditSpaceSize.cross_ref_tables = _fsdk.AuditSpaceSize_cross_ref_tables
| static

Total size of the cross-reference table in bytes.

The cross-reference table maps object numbers to byte offsets in the PDF file.

## ◆ embed_files

FoxitPDFSDKPython2.AuditSpaceSize.embed_files = _fsdk.AuditSpaceSize_embed_files
| static

Total size of embedded file streams in bytes.

Embedded files include attachments such as spreadsheets, text files, or other documents.

## ◆ extend_graphics_states

FoxitPDFSDKPython2.AuditSpaceSize.extend_graphics_states = _fsdk.AuditSpaceSize_extend_graphics_states
| static

Total size of extended graphics states in bytes.

Extended graphics states control rendering properties like transparency, blend modes, and line styles.

## ◆ fonts

FoxitPDFSDKPython2.AuditSpaceSize.fonts = _fsdk.AuditSpaceSize_fonts
| static

Total size of embedded fonts in bytes.

Includes both fully and partially embedded font programs.

## ◆ images

FoxitPDFSDKPython2.AuditSpaceSize.images = _fsdk.AuditSpaceSize_images
| static

Total size of embedded images in bytes.

Includes all raster images used across the document.

## ◆ link_annots

FoxitPDFSDKPython2.AuditSpaceSize.link_annots = _fsdk.AuditSpaceSize_link_annots
| static

Total size of link annotations in bytes.

Includes all hyperlink and navigation annotations within the document.

## ◆ named_destnations

FoxitPDFSDKPython2.AuditSpaceSize.named_destnations = _fsdk.AuditSpaceSize_named_destnations
| static

Total size of named destinations in bytes.

Named destinations are predefined navigation targets used by links and outlines.

## ◆ pattern_infos

FoxitPDFSDKPython2.AuditSpaceSize.pattern_infos = _fsdk.AuditSpaceSize_pattern_infos
| static

Total size of pattern objects in bytes.

Includes tiling and shading patterns used for fills and strokes.

## ◆ piece_infos

FoxitPDFSDKPython2.AuditSpaceSize.piece_infos = _fsdk.AuditSpaceSize_piece_infos
| static

Total size of piece information in bytes.

PieceInfo is used by some workflows to store private application data.

## ◆ shading_pattern_infos

FoxitPDFSDKPython2.AuditSpaceSize.shading_pattern_infos = _fsdk.AuditSpaceSize_shading_pattern_infos
| static

Total size of shading pattern information in bytes.

Covers all shading patterns used for gradient fills.

## ◆ structure_infos

FoxitPDFSDKPython2.AuditSpaceSize.structure_infos = _fsdk.AuditSpaceSize_structure_infos
| static

Total size of structural information in bytes.

Structural information includes tagged PDF structures used for accessibility and reflow.

## ◆ thumbs

FoxitPDFSDKPython2.AuditSpaceSize.thumbs = _fsdk.AuditSpaceSize_thumbs
| static

Total size of page thumbnails in bytes.

Thumbnails are small preview images associated with pages.

## ◆ web_infos

FoxitPDFSDKPython2.AuditSpaceSize.web_infos = _fsdk.AuditSpaceSize_web_infos
| static

Total size of web-related metadata in bytes.

Web info may include additional metadata used for web viewing or cataloging.

## ◆ x_object_forms

FoxitPDFSDKPython2.AuditSpaceSize.x_object_forms = _fsdk.AuditSpaceSize_x_object_forms
| static

Total size of XObject Forms in bytes.

XObject Forms are reusable content streams that can be drawn multiple times.